%define upstream_name    Test-TAP-Model
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Accessible (queryable, serializable object) result collector
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Method::Alias)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::Harness::Straps) >= 0.300.0
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This module is a subclass of the Test::Harness::Straps manpage (although in
an ideal world it would really use delegation).

It uses callbacks in the straps object to construct a deep structure, with
all the data known about a test run accessible within.

It's purpose is to ease the processing of test data, for the purpose of
generating reports, or something like that.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std
rm -f %{buildroot}%{perl_vendorlib}/Test/TAP/example.pl

%files
%doc Changes example.pl META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Test

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.100.0-8pclos2017
- rebuild against updates

